<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [setActionLevel](./bitburner.bladeburner.setactionlevel.md)

## Bladeburner.setActionLevel() method

Set the level of an action.

**Signature:**

```typescript
setActionLevel(type: string, name: string, level: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |
|  level | number | Level to set this action to. |

**Returns:**

void

## Remarks

RAM cost: 4 GB

Set the level for the specified action.

